<div class="with-margin-container">
  <form class="example-form">
    <mat-accordion>
      <mat-expansion-panel [expanded]="expand1"
                           (opened)="expand1 = true"
                           (closed)="expand1 = false">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <h6>Водитель</h6>
          </mat-panel-title>

        </mat-expansion-panel-header>
        <div class="exp">
          <table class="example-full-width" cellspacing="0">
            <h1 class="mat-subheading-1 accent-color">Личная информация</h1>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="100" placeholder="Фамилия" [formControl]="firstNameFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="firstNameValue" name="firstNameValue">
                  <mat-icon matSuffix>person</mat-icon>
                  <mat-error *ngIf="firstNameFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="100" placeholder="Имя" [formControl]="secondNameFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="secondNameValue" name="secondNameValue">
                  <mat-icon matSuffix>person</mat-icon>
                  <mat-error *ngIf="secondNameFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="100" placeholder="Отчество" [formControl]="patronymicFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="patronymicNameValue" name="patronymicNameValue">
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-radio-group aria-label="Пол">
                  <mat-radio-button checked value="1" #rad1>Мужской</mat-radio-button>
                  <mat-radio-button value="2" #rad2>Женский</mat-radio-button>
                </mat-radio-group>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput [min]="minDate" [max]="maxDate" [matDatepicker]="picker" placeholder="Дата рождения"
                         [formControl]="dateFormControl" [errorStateMatcher]="matcher" [(ngModel)]="birthdayValue"
                         name="birthdayValue">
                  <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                  <mat-datepicker #picker></mat-datepicker>
                  <mat-error *ngIf="dateFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
            </tr>
          </table>
          <h1 class="mat-subheading-1 accent-color">Контактная информация</h1>
          <table class="example-full-width">
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="300" placeholder="Адрес" [formControl]="addressFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="addressValue" name="addressValue">
                  <mat-icon matSuffix>home</mat-icon>
                  <mat-error *ngIf="addressFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input maxlength="300" matInput placeholder="Адрес 2" [formControl]="addressFormControl2"
                         [(ngModel)]="addressValue2" name="addressValue2">
                  <mat-icon matSuffix>apartment</mat-icon>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field>
                  <span matPrefix>+7 &nbsp;</span>
                  <input type="tel" matInput maxlength="10" placeholder="Телефон" [formControl]="phoneFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="phoneValue" name="phoneValue">
                  <mat-icon matSuffix>phone</mat-icon>
                  <mat-error *ngIf="phoneFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="100" placeholder="Email" [formControl]="emailFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="emailValue" name="emailValue">
                  <mat-error *ngIf="emailFormControl.hasError('email')">
                    Пожалуйста введите корректный Email
                  </mat-error>
                </mat-form-field>
              </td>
            </tr>
          </table>
        </div>

      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="expand2"
                           (opened)="expand2 = true"
                           (closed)="expand2 = false">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <h6>Документы</h6>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div class="exp">
          <table class="example-full-100-width" cellspacing="0">
            <h1 class="mat-subheading-1 accent-color">Паспорт</h1>
            <tr>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput maxlength="4" placeholder="Серия" [formControl]="seriaPasportFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="seriaPasportValue" name="seriaPasportValue">
                  <mat-error *ngIf="seriaPasportFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput maxlength="8" placeholder="Номер" [formControl]="numberPasportFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="numberPasportValue" name="numberPasportValue">
                  <mat-error *ngIf="numberPasportFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput [max]="currentDate" [matDatepicker]="picker1" placeholder="Дата выдачи"
                         [formControl]="dateVidachiFormControl" [errorStateMatcher]="matcher"
                         [(ngModel)]="datePasportValue" name="datePasportValue">
                  <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                  <mat-datepicker #picker1></mat-datepicker>
                  <mat-error *ngIf="dateVidachiFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
            </tr>
            <h1 class="mat-subheading-1 accent-color">Водительское удостоверение</h1>
            <tr>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput maxlength="4" placeholder="Серия" [formControl]="seriaVodFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="seriaVodValue" name="seriaVodValue">
                  <mat-error *ngIf="seriaVodFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput maxlength="8" placeholder="Номер" [formControl]="numberVodFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="numberVodValue" name="numberVodValue">
                  <mat-error *ngIf="numberVodFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput [max]="currentDate" [matDatepicker]="picker2" placeholder="Дата выдачи"
                         [formControl]="dateVidachiVodFormControl" [errorStateMatcher]="matcher"
                         [(ngModel)]="dateVodValue" name="dateVodValue">
                  <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                  <mat-datepicker #picker2></mat-datepicker>
                  <mat-error *ngIf="dateVidachiFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput [matDatepicker]="picker3" placeholder="Действителен до"
                         [formControl]="dateAccessFormControl" [errorStateMatcher]="matcher"
                         [(ngModel)]="dateAccessValue" name="dateAccessValue">
                  <mat-datepicker-toggle matSuffix [for]="picker3"></mat-datepicker-toggle>
                  <mat-datepicker #picker3></mat-datepicker>
                  <mat-error *ngIf="dateAccessFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
            </tr>
          </table>
        </div>
      </mat-expansion-panel>
      <mat-expansion-panel [expanded]="expand3"
                           (opened)="expand3 = true"
                           (closed)="expand3 = false">
        <mat-expansion-panel-header>
          <mat-panel-title>
            Автомобиль
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div class="exp">
          <table class="example-full-width" cellspacing="0">
            <h1 class="mat-subheading-1 accent-color">Информация об автомобиле</h1>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="100" placeholder="Марка" [formControl]="markFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="markValue" name="markValue">
                  <mat-error *ngIf="markFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="100" placeholder="Модель" [formControl]="modelFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="modelValue" name="modelValue">
                  <mat-error *ngIf="modelFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>

              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="100" placeholder="Цвет автомобиля" [formControl]="colorFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="colorValue" name="colorValue">
                  <mat-error *ngIf="colorFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>

              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="10" placeholder="Номер автомобиля" [formControl]="numberAutoFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="numberValue" name="numberValue">
                  <mat-error *ngIf="numberAutoFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="4" placeholder="Год выпуска" [formControl]="yearMakingFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="yearValue" name="yearValue">
                  <mat-error *ngIf="yearMakingFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="1" placeholder="Кол-во дверей" [formControl]="countDoorsFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="countDoorValue" name="countDoorValue">
                  <mat-error *ngIf="countDoorsFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput maxlength="300" placeholder="VIN" [formControl]="vinFormControl"
                         [errorStateMatcher]="matcher" [(ngModel)]="vinValue" name="vinValue">
                  <mat-error *ngIf="vinFormControl.hasError('required')">
                    <strong>Обязательное</strong> для заполнения
                  </mat-error>
                </mat-form-field>
              </td>
            </tr>
          </table>
        </div>
        <br>
      </mat-expansion-panel>
    </mat-accordion>
    <div class="row">
      <mat-form-field class="example-full-50-width">
        <textarea matInput [matTextareaAutosize]="true" placeholder="Комментарий" [(ngModel)]="commentValue"
                  name="commentValue"></textarea>
      </mat-form-field>
      <div class="timestamp">
        <mat-form-field class="helf-50-width">
          <input matInput [max]="currentDate" [matDatepicker]="picker4" placeholder="Дата заполнения"
                 [formControl]="dateCurrentFormControl" [errorStateMatcher]="matcher">
          <mat-datepicker-toggle matSuffix [for]="picker4"></mat-datepicker-toggle>
          <mat-datepicker [startAt]="currentDate" #picker4></mat-datepicker>
          <mat-error *ngIf="dateCurrentFormControl.hasError('required')">
            <strong>Обязательное</strong> для заполнения
          </mat-error>
        </mat-form-field>
        <mat-form-field class="helf-50-width">
          <input matInput placeholder="Время заполнения" [ngxTimepicker]="fullTime" [format]="24"
                 [(ngModel)]="currentTimeWriting" name="currentTimeWriting">
          <ngx-material-timepicker #fullTime></ngx-material-timepicker>
          <mat-error *ngIf="timeCurrentFormControl.hasError('required')">
            <strong>Обязательное</strong> для заполнения
          </mat-error>
        </mat-form-field>
      </div>

    </div>
    <div class="example-button-row">
      <button mat-raised-button color="warn" (click)="openDialog()" style="float: left">Очистить данные</button>
      <button mat-raised-button color="primary" (click)="addUser()" style="float: right">Добавить</button>
    </div>
  </form>
</div>
